%define major      0
%define sover      %{major}.22
%define libf2cname %mklibname %{name} %{major}

Name:           f2c
Summary:        A Fortran 77 to C/C++ conversion program
Version:        20210928
Release:        %mkrel 1
License:        MIT
Group:          Development/C
URL:            https://www.netlib.org/f2c/
Source0:        https://www.netlib.org/f2c/src.tgz
Source1:        https://www.netlib.org/f2c/libf2c.zip
Source2:        https://www.netlib.org/f2c/f2c.pdf
Source3:        https://www.netlib.org/f2c/f2c.ps
Source4:        http://www.netlib.org/f2c/fc
# Patch makefile to build a shared library
Patch0:		f2c-20090411.patch
Patch1:		f2c-arithchk.patch
Patch2:		f2c-parallel-make.patch
BuildRequires:  unzip
Requires:       %{libf2cname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description
F2c converts Fortran 77 source code to C or C++ source files. If no
Fortran files are named on the command line, f2c can read Fortran from
standard input and write C to standard output.

%package -n %{libf2cname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries

%description -n %{libf2cname}
Dynamic libraries from %{name}.

%prep
%setup -q -c %{name}-%{version}
mkdir lib%{name}
unzip -qq %{SOURCE1} -d lib%{name}
%patch0
%patch1
%patch2 -p1 -b .parallel-make

# Set library soversion
sed -i "s/@SOVER@/%{sover}/" lib%{name}/makefile.u

# Copy in other source files
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} .

%build
%make_build -C src -f makefile.u CFLAGS="%{optflags}" f2c
%make_build -C libf2c -f makefile.u CFLAGS="%{optflags} -fPIC"

%install
install -D -p -m 644 src/%{name}.h %{buildroot}%{_includedir}/%{name}.h
install -D -p -m 755 src/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 644 src/%{name}.1t %{buildroot}%{_mandir}/man1/%{name}.1
install -D -p -m 755 lib%{name}/lib%{name}.so.%{sover} %{buildroot}%{_libdir}/lib%{name}.so.%{sover}
ln -s lib%{name}.so.%{sover} %{buildroot}%{_libdir}/lib%{name}.so.0
ln -s lib%{name}.so.%{sover} %{buildroot}%{_libdir}/lib%{name}.so

# Setup f77 script
sed -i "s/@lib@/%{_lib}/" fc
install -Dpm 0755 fc %{buildroot}%{_bindir}/f77

%files
%doc %{name}.ps %{name}.pdf src/changes src/README
%license libf2c/Notice
%{_bindir}/%{name}
%{_bindir}/f77
%{_mandir}/man1/*
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files -n %{libf2cname}
%doc libf2c/README
%license libf2c/Notice
%{_libdir}/lib%{name}.so.%{major}{,.*}


%changelog
* Thu Nov 24 2022 daviddavid <daviddavid> 20210928-1.mga9
+ Revision: 1910872
- new version: 20210928
- add fc script as /usr/bin/f77

* Fri Mar 18 2022 umeabot <umeabot> 20200916-2.mga9
+ Revision: 1797940
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 daviddavid <daviddavid> 20200916-1.mga8
+ Revision: 1638316
- new version: 20200916

* Thu Feb 20 2020 umeabot <umeabot> 20191129-2.mga8
+ Revision: 1546517
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 20191129-1.mga8
+ Revision: 1486692
- new version: 20191129

* Tue Mar 26 2019 daviddavid <daviddavid> 20190311-1.mga7
+ Revision: 1380273
- new version: 20190311

* Sun Sep 23 2018 umeabot <umeabot> 20160102-3.mga7
+ Revision: 1297653
- Mageia 7 Mass Rebuild

* Fri Feb 23 2018 daviddavid <daviddavid> 20160102-2.mga7
+ Revision: 1204302
- fix libraries symlinks

* Mon Feb 19 2018 daviddavid <daviddavid> 20160102-1.mga7
+ Revision: 1203219
- new version: 20160102
- update URL and Source URL
- fix lib pkg name

* Mon Feb 08 2016 umeabot <umeabot> 20110801-7.mga6
+ Revision: 944576
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20110801-6.mga5
+ Revision: 748763
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20110801-5.mga5
+ Revision: 679076
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20110801-4.mga4
+ Revision: 522167
- Mageia 4 Mass Rebuild

* Sat Feb 09 2013 cjw <cjw> 20110801-3.mga3
+ Revision: 397629
- patch2: try to fix the parallel builds on the autorebuilder

* Fri Jan 11 2013 umeabot <umeabot> 20110801-2.mga3
+ Revision: 350017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 matteo <matteo> 20110801-1.mga3
+ Revision: 322857
- new version

* Wed Apr 11 2012 matteo <matteo> 20100827-1.mga2
+ Revision: 230260
- spec file cleaned
- new stable version

* Tue Oct 25 2011 matteo <matteo> 20090411-2.mga2
+ Revision: 157912
- spec file reviewed

* Wed Sep 07 2011 matteo <matteo> 20090411-1.mga2
+ Revision: 140834
- fixed library group
- fixed lib package name
- removed post/postun ldconfig
- imported package f2c

